### Class

# GtkSource HoverContext

#### Description [src]

    final class GtkSource.HoverContext : GObject.Object
    {
      /* No available fields */
    }

Context for populating `GtkSourceHoverDisplay` contents.

`GtkSourceHoverContext` contains information about the request to populate contents for a `GtkSourceHoverDisplay`.

It can be used to retrieve the `GtkSourceView`, `GtkSourceBuffer`, and `GtkTextIter` for the regions of text which are being displayed.

Use `gtk_source_hover_context_get_bounds()` to get the word that was requested. `gtk_source_hover_context_get_iter()` will get you the location of the pointer when the request was made.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### gtk_source_hover_context_get_bounds

Gets the current word bounds of the hover.

###### gtk_source_hover_context_get_buffer

A convenience function to get the buffer.

###### gtk_source_hover_context_get_iter

Gets the location of the pointer where the request was made.

###### gtk_source_hover_context_get_view

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkSourceHoverContextClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.